- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions

# QPixmapCache Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qpixmapcache.h.

`#include <qpixmapcache.h>`

List of all members.

## Classes
class | Key
## Static Public Member Functions
static int | cacheLimit ()
static void | setCacheLimit (int)
static QPixmap * | find (const QString &key)
static bool | find (const QString &key, QPixmap &pixmap)
static bool | find (const QString &key, QPixmap *pixmap)
static bool | find (const Key &key, QPixmap *pixmap)
static bool | insert (const QString &key, const QPixmap &pixmap)
static Key | insert (const QPixmap &pixmap)
static bool | replace (const Key &key, const QPixmap &pixmap)
static void | remove (const QString &key)
static void | remove (const Key &key)
static void | clear ()

## Member Function Documentation

static int cacheLimit | ( |  | ) | `[static]`

Search for all occurrences

static void setCacheLimit | ( | int |  | ) | `[static]`

Search for all occurrences

static QPixmap* find | ( | const QString & | key | ) | `[static]`

Search for all occurrences

static bool find | ( | const QString & | key,
|  | QPixmap & | pixmap
| ) |  | `[static]`

Search for all occurrences

static bool find | ( | const QString & | key,
|  | QPixmap * | pixmap
| ) |  | `[static]`

Search for all occurrences

static bool find | ( | const Key & | key,
|  | QPixmap * | pixmap
| ) |  | `[static]`

Search for all occurrences

static bool insert | ( | const QString & | key,
|  | const QPixmap & | pixmap
| ) |  | `[static]`

Search for all occurrences

static Key insert | ( | const QPixmap & | pixmap | ) | `[static]`

Search for all occurrences

static bool replace | ( | const Key & | key,
|  | const QPixmap & | pixmap
| ) |  | `[static]`

Search for all occurrences

static void remove | ( | const QString & | key | ) | `[static]`

Search for all occurrences

static void remove | ( | const Key & | key | ) | `[static]`

Search for all occurrences

static void clear | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qpixmapcache.h

QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache
QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache QPixmapCache